Bug 1295514 - Process Designer does not manage Intermediate CompensateEvent
Process Designer does not manage Intermediate CompensateEvent
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity medium
: DR1
: 6.3.0
Assigned To: Tihomir Surdilovic
Jozef Marko
:
Depends On: 1286912
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 13:10 EST by Alessandro Lazarotti
Modified: 2016-02-10 05:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1286912
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Lazarotti 2016-01-04 13:10:02 EST
+++ This bug was initially created as a clone of Bug #1286912 +++

Description of problem:
In Business-Central, Process Designer can not manage Intermediate CompensateEvent correctly. same business process is displayed correctly with JBDS8.


Version-Release number of selected component (if applicable):

6.1.x.


How reproducible:

import the attached sample bpmn2 file which is included in source code archive.

i.e.
jbpm-6.2.0.Final-redhat-4/jbpm-bpmn2/src/test/resources/compensation/BPMN2-Compensation-IntermediateThrowEvent.bpmn2


Steps to Reproduce:
1. login Business Central and create business process
2. import BPMN2-Compensation-IntermediateThrowEvent.bpmn2
3.

Actual results:

diagram gets garbled and the following errors are shown.

 - Process '' [xxxxx.aaaa]: Start node '' [1] has no outgoing connection.
 - Process '' [xxxxx.aaaa]: Process has no end node.

Expected results:

diagram is displayed correctly without any error/warning

Additional info:

--- Additional comment from JBoss Product and Program Management on 2015-12-01 00:40:08 EST ---

Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 2 Tihomir Surdilovic 2016-01-05 10:18:21 EST
6.3.x PR: https://github.com/droolsjbpm/jbpm-designer/pull/115
Comment 4 Jozef Marko 2016-02-10 05:14:50 EST
Verified on 6.3.0.DR1

Note You need to log in before you can comment on or make changes to this bug.